Id (Axis API)
Keywords: org.apache.axis.types.Id class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Id

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token
              org.apache.axis.types.Name
                  org.apache.axis.types.NCName
                      org.apache.axis.types.Id

All Implemented Interfaces:
  java.io.Serializable

public class Id
extends NCName

Custom class for supporting XSD data type ID The base type of Id is NCName.

Author:
  Eddie Pick
See Also:
  XML Schema 3.3.8, Serialized Form

Constructor Summary
`Id()`
`Id(java.lang.String stValue)` ctor for Id

Method Summary
`static boolean` | `isValid(java.lang.String stValue)` validate the value against the xsd definition Same validation as NCName for the time being
`void` | `setValue(java.lang.String stValue)` validates the data and sets the value for the object.

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Id

    public Id()

### Id

    public Id(java.lang.String stValue)
       throws java.lang.IllegalArgumentException

  ctor for Id

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### setValue

    public void setValue(java.lang.String stValue)
                  throws java.lang.IllegalArgumentException

  validates the data and sets the value for the object.

  Overrides:
    `setValue` in class `NCName`
  Parameters:
    `stValue` - String value
  Throws:
    `java.lang.IllegalArgumentException` - if invalid format

### isValid

    public static boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition Same validation as NCName for the time being

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.